net.snowflake.client.jdbc

## Enum SnowflakeFileTransferAgent.FileCompressionType

- java.lang.Object
- - java.lang.Enum<SnowflakeFileTransferAgent.FileCompressionType>
  - - net.snowflake.client.jdbc.SnowflakeFileTransferAgent.FileCompressionType

All Implemented Interfaces:
  Serializable, Comparable<SnowflakeFileTransferAgent.FileCompressionType>

Enclosing class:
  SnowflakeFileTransferAgent

    public static enum SnowflakeFileTransferAgent.FileCompressionType
    extends Enum<SnowflakeFileTransferAgent.FileCompressionType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BROTLI`
`BZIP2`
`COMPRESS`
`DEFLATE`
`GZIP`
`LZIP`
`LZMA`
`LZO`
`ORC`
`PARQUET`
`RAW_DEFLATE`
`XZ`
`ZSTD`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isSupported()`
`static SnowflakeFileTransferAgent.FileCompressionType` `lookupByMimeSubType(String mimeSubType)`
`static SnowflakeFileTransferAgent.FileCompressionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeFileTransferAgent.FileCompressionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GZIP

    public static final SnowflakeFileTransferAgent.FileCompressionType GZIP

#### DEFLATE

    public static final SnowflakeFileTransferAgent.FileCompressionType DEFLATE

#### RAW_DEFLATE

    public static final SnowflakeFileTransferAgent.FileCompressionType RAW_DEFLATE

#### BZIP2

    public static final SnowflakeFileTransferAgent.FileCompressionType BZIP2

#### ZSTD

    public static final SnowflakeFileTransferAgent.FileCompressionType ZSTD

#### BROTLI

    public static final SnowflakeFileTransferAgent.FileCompressionType BROTLI

#### LZIP

    public static final SnowflakeFileTransferAgent.FileCompressionType LZIP

#### LZMA

    public static final SnowflakeFileTransferAgent.FileCompressionType LZMA

#### LZO

    public static final SnowflakeFileTransferAgent.FileCompressionType LZO

#### XZ

    public static final SnowflakeFileTransferAgent.FileCompressionType XZ

#### COMPRESS

    public static final SnowflakeFileTransferAgent.FileCompressionType COMPRESS

#### PARQUET

    public static final SnowflakeFileTransferAgent.FileCompressionType PARQUET

#### ORC

    public static final SnowflakeFileTransferAgent.FileCompressionType ORC

### Method Detail

#### values

    public static SnowflakeFileTransferAgent.FileCompressionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeFileTransferAgent.FileCompressionType c : SnowflakeFileTransferAgent.FileCompressionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeFileTransferAgent.FileCompressionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### lookupByMimeSubType

    public static SnowflakeFileTransferAgent.FileCompressionType lookupByMimeSubType(String mimeSubType)

#### isSupported

    public boolean isSupported()